Name: cockpit-files
Version: 17.24.g9886f71
Release: 1.20250310023911070446.pr993.24.g9886f71%{?dist}
Summary: A filesystem browser for Cockpit
License: LGPL-2.1-or-later

Source0: cockpit-files-17.24.g9886f71.tar.xz
BuildArch: noarch
BuildRequires: make
%if 0%{?suse_version}
# Suse's package has a different name
BuildRequires:  appstream-glib
%else
BuildRequires:  libappstream-glib
%endif
BuildRequires: gettext

Requires: cockpit-bridge >= 318

# Replace the older cockpit-navigator provided by 45Drives
Obsoletes: cockpit-navigator < 0.5.11

Provides: bundled(npm(@patternfly/patternfly)) = 5.4.2
Provides: bundled(npm(@patternfly/react-core)) = 5.4.14
Provides: bundled(npm(@patternfly/react-icons)) = 5.4.2
Provides: bundled(npm(@patternfly/react-styles)) = 5.4.1
Provides: bundled(npm(@patternfly/react-table)) = 5.4.16
Provides: bundled(npm(@patternfly/react-tokens)) = 5.4.1
Provides: bundled(npm(attr-accept)) = 2.2.5
Provides: bundled(npm(dequal)) = 2.0.3
Provides: bundled(npm(file-selector)) = 2.1.2
Provides: bundled(npm(focus-trap)) = 7.6.2
Provides: bundled(npm(js-tokens)) = 4.0.0
Provides: bundled(npm(lodash)) = 4.17.21
Provides: bundled(npm(loose-envify)) = 1.4.0
Provides: bundled(npm(object-assign)) = 4.1.1
Provides: bundled(npm(prop-types)) = 15.8.1
Provides: bundled(npm(react-dom)) = 18.3.1
Provides: bundled(npm(react-dropzone)) = 14.3.8
Provides: bundled(npm(react-is)) = 16.13.1
Provides: bundled(npm(react)) = 18.3.1
Provides: bundled(npm(scheduler)) = 0.23.2
Provides: bundled(npm(tabbable)) = 6.2.0
Provides: bundled(npm(throttle-debounce)) = 5.0.2
Provides: bundled(npm(tslib)) = 2.8.1

%description
A filesystem browser for Cockpit

%prep
%setup -q -n cockpit-files

%build
# Nothing to build

%install
%make_install PREFIX=/usr

# drop source maps, they are large and just for debugging
find %{buildroot}%{_datadir}/cockpit/ -name '*.map' | xargs --no-run-if-empty rm --verbose

%check
appstream-util validate-relax --nonet %{buildroot}/%{_datadir}/metainfo/*

# this can't be meaningfully tested during package build; tests happen through
# FMF (see plans/all.fmf) during package gating

%files
%doc README.md
%license LICENSE dist/index.js.LEGAL.txt
%{_datadir}/cockpit/*
%{_datadir}/metainfo/*

%changelog
* Mon Mar 10 2025 Packit <hello@packit.dev> - 17.24.g9886f71-1.20250310023911070446.pr993.24.g9886f71
- cockpit-ci: Update container to 2025-03-08 (Cockpit Project)
- Don't re-declare Alert as interface (Jelle van der Waa)
- Use type import where appropriate (Jelle van der Waa)
- po: Update from Fedora Weblate (GitHub Workflow)
- packaging: drop nodejs build requirement (Jelle van der Waa)
- Makefile: Update Cockpit lib to 253d25bd92559dd05c31bd5d556946f1 (Cockpit Project)
- po: Update from Fedora Weblate (GitHub Workflow)
- update dependency to not use an object for comparison (Jelle van der Waa)
- test: generalise changing directories in a helper (Jelle van der Waa)
- Obtain path from the existing location state (Jelle van der Waa)
- Prefer useInit over useEffect (Jelle van der Waa)
- Combine both location based useEffect (Jelle van der Waa)
- Expose `data-dir-loaded` in the DOM for tests (Jelle van der Waa)
- Move location changed listening to app.tsx (Jelle van der Waa)
- build(deps-dev): bump the types group across 1 directory with 2 updates (dependabot[bot])
- test: Also skip "medium" layout in TestFiles.testUpload pixel test (Marius Vollmer)
- test: extend disable drop tests (Jelle van der Waa)
- test: wait on fsinfo to load the directory owner (Jelle van der Waa)
- test: change directory in the relevant test case (Jelle van der Waa)
- test: Fix wrong TestFiles-testUpload-upload-popover-medium pixel reference (Marius Vollmer)
- po: Update from Fedora Weblate (GitHub Workflow)
- po: Add 'ja' language (GitHub Workflow)
- build(deps): bump the patternfly group with 2 updates (dependabot[bot])
- cockpit-ci: Update container to 2025-03-01 (Cockpit Project)
